Skip to main content
GET
/
api
/
datasets
/
{dataset_id}
/
history
Get Dataset History
curl --request GET \
  --url https://api.example.com/api/datasets/{dataset_id}/history \
  --header 'Authorization: Bearer <token>'
{
  "dataset_id": "<string>",
  "actions": [
    {
      "action_type": "<string>",
      "summary": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "actor": "<string>",
      "reference": "<string>",
      "details": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

dataset_id
string
required

Query Parameters

limit
integer
default:100
Required range: 1 <= x <= 500

Cookies

antidote_session
string | null

Response

Successful Response

dataset_id
string
required
actions
DatasetHistoryItem · object[]
required